Package com.independentsoft.office.word

# Class Body

java.lang.Object
com.independentsoft.office.word.Body

public class Body extends Object
The Class Body.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Body()`
  Instantiates a new body.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add​(CustomXml customXml)`
  Adds the.
  `void`
  `add​(StructuredDocumentTag structuredDocumentTag)`
  Adds the.
  `void`
  `add​(IBlockElement contentElement)`
  Adds the.
  `void`
  `add​(Paragraph paragraph)`
  Adds the.
  `void`
  `add​(Table table)`
  Adds the.
  `Body`
  `clone()`
  `List<IBlockElement>`
  `getContent()`
  Gets the content.
  `List<IContentElement>`
  `getContentElements()`
  Gets the content elements.
  `Footer`
  `getEvenPageFooter()`
  Gets the even page footer.
  `Header`
  `getEvenPageHeader()`
  Gets the even page header.
  `Footer`
  `getFirstPageFooter()`
  Gets the first page footer.
  `Header`
  `getFirstPageHeader()`
  Gets the first page header.
  `ExtendedBoolean`
  `getFirstPageHeadersAndFooters()`
  Gets the first page headers and footers.
  `Footer`
  `getFooter()`
  Gets the footer.
  `Header`
  `getHeader()`
  Gets the header.
  `Section`
  `getSection()`
  Gets the section.
  `void`
  `setEvenPageFooter​(Footer footer)`
  Sets the even page footer.
  `void`
  `setEvenPageHeader​(Header header)`
  Sets the even page header.
  `void`
  `setFirstPageFooter​(Footer footer)`
  Sets the first page footer.
  `void`
  `setFirstPageHeader​(Header header)`
  Sets the first page header.
  `void`
  `setFirstPageHeadersAndFooters​(ExtendedBoolean firstPageHeadersAndFooters)`
  Sets the first page headers and footers.
  `void`
  `setFooter​(Footer footer)`
  Sets the footer.
  `void`
  `setHeader​(Header header)`
  Sets the header.
  `void`
  `setSection​(Section section)`
  Sets the section.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Body

    public Body()
    Instantiates a new body.

- ## Method Details

  - ### add

    public void add​(Paragraph paragraph)
    Adds the.
    Parameters:
      `paragraph` - the paragraph

  - ### add

    public void add​(Table table)
    Adds the.
    Parameters:
      `table` - the table

  - ### add

    public void add​(CustomXml customXml)
    Adds the.
    Parameters:
      `customXml` - the custom xml

  - ### add

    public void add​(StructuredDocumentTag structuredDocumentTag)
    Adds the.
    Parameters:
      `structuredDocumentTag` - the structured document tag

  - ### add

    public void add​(IBlockElement contentElement)
    Adds the.
    Parameters:
      `contentElement` - the content element

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Gets the content elements.
    Returns:
      the content elements

  - ### clone

    public Body clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getContent

    public List<IBlockElement> getContent()
    Gets the content.
    Returns:
      the content

  - ### getSection

    public Section getSection()
    Gets the section.
    Returns:
      the section

  - ### setSection

    public void setSection​(Section section)
    Sets the section.
    Parameters:
      `section` - the new section

  - ### getHeader

    public Header getHeader()
    Gets the header.
    Returns:
      the header

  - ### setHeader

    public void setHeader​(Header header)
    Sets the header.
    Parameters:
      `header` - the new header

  - ### getFooter

    public Footer getFooter()
    Gets the footer.
    Returns:
      the footer

  - ### setFooter

    public void setFooter​(Footer footer)
    Sets the footer.
    Parameters:
      `footer` - the new footer

  - ### getFirstPageHeader

    public Header getFirstPageHeader()
    Gets the first page header.
    Returns:
      the first page header

  - ### setFirstPageHeader

    public void setFirstPageHeader​(Header header)
    Sets the first page header.
    Parameters:
      `header` - the new first page header

  - ### getEvenPageHeader

    public Header getEvenPageHeader()
    Gets the even page header.
    Returns:
      the even page header

  - ### setEvenPageHeader

    public void setEvenPageHeader​(Header header)
    Sets the even page header.
    Parameters:
      `header` - the new even page header

  - ### getFirstPageFooter

    public Footer getFirstPageFooter()
    Gets the first page footer.
    Returns:
      the first page footer

  - ### setFirstPageFooter

    public void setFirstPageFooter​(Footer footer)
    Sets the first page footer.
    Parameters:
      `footer` - the new first page footer

  - ### getEvenPageFooter

    public Footer getEvenPageFooter()
    Gets the even page footer.
    Returns:
      the even page footer

  - ### setEvenPageFooter

    public void setEvenPageFooter​(Footer footer)
    Sets the even page footer.
    Parameters:
      `footer` - the new even page footer

  - ### getFirstPageHeadersAndFooters

    public ExtendedBoolean getFirstPageHeadersAndFooters()
    Gets the first page headers and footers.
    Returns:
      the first page headers and footers

  - ### setFirstPageHeadersAndFooters

    public void setFirstPageHeadersAndFooters​(ExtendedBoolean firstPageHeadersAndFooters)
    Sets the first page headers and footers.
    Parameters:
      `firstPageHeadersAndFooters` - the new first page headers and footers